html {
    height: 100%;
    padding: 0px;
    margin: 0px;
}

* {
    box-sizing: border-box;
}

body {
    font-family: Helvetica, Arial, sans-serif;
    height: 100%;
    padding: 0px;
    margin: 0px;
}

#itemlist{
    padding: 1rem;
    position: absolute;
    top: 0px;
    left: 0px;
    width: 25%;
    bottom: 0px;
    overflow-y: auto;
}

#itemdetails{
    background-color:#C0C0C0;
    padding: 1rem;
    position: absolute;
    top: 0px;
    left: 25%;
    right: 0px;
    bottom: 0px;
    overflow-y: auto;
}

.item {
    background-color: #F0F0F0;
    border-radius: 4px;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
    margin-bottom: 20px;
    cursor: pointer;
    width: 100%;
}

.itemheader {
    width:100%;
}

.itemheader div {
    padding: .5rem;
    overflow: hidden;
    line-height: 2.35rem;
    height: 3rem;
}

.itemscore {
    float: left;
    text-align: center;
    font-size: 2rem;
    font-weight: bold;
    width: 15%;
}

.itemtitle {
    float: left;
    font-size: 1.5rem;
    font-weight: bold;
    width: 85%
}

.itembody {
    box-sizing: content-box;
    border-top: 1px solid #808080;
    padding: .5rem;
    font-size: 1rem;
    height: 64px;
    overflow: hidden;
}

.clear {
    clear: both !important;
    margin: 0px !important;
    padding: 0px !important;
    height: 0px !important;
}

#itemlist p {
    margin-block-start: 0em;
    margin-block-end: 0em;
}

#detailtitle {
    cursor: pointer;
    display: inline-block;
    background-color: #FFFFFF;
    font-size: 1.5rem;
    font-weight: bold;
    border-radius: 4px;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
    padding: 1rem;
    margin-bottom: 20px;
}

.messagetext {
    cursor: pointer;
    display: inline-block;
    background-color: #F0F0F0;
    border-radius: 4px;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
    padding: 1rem;
    margin-bottom: 20px;
}

.message {
    display: inline-block;
    width: calc(100% - 3rem);
    margin-left: 3rem;
}

.keyword {
    font-weight: bold;
    color: #008000;
}

.wholeword {
    font-weight: bold;
    color: #800000;
    cursor: pointer;
}

#actionbar {
    margin-bottom: 20px;
}

.btn {
    display: inline-block;
    border: 1px solid transparent;
    text-align: center;
    vertical-align: middle;
    user-select: none;
    line-height: 1.5;
    color: #fff;
    background-color: #17a2b8;
    border-color: #17a2b8;
    border-radius: 4px;
    font-size: 0.875rem;
    font-weight: 400;
    padding: 6px 10px;
    white-space: nowrap;
    transition: background-color 100ms linear, border-color 100ms linear, color 100ms linear, box-shadow 100ms linear;
    cursor: pointer;
}

.btn:hover {
    color: #fff;
    background-color: #138496;
    border-color: #117a8b;
}

.btn:active, .btn:focus {
    outline: 0;
}

.btn:active {
    color: #fff;
    background-color: #117a8b;
    border-color: #10707f;
}
